Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.jemmy.drivers
Class InputDriverInstaller

    java.lang.Object
      |
      +--org.netbeans.jemmy.drivers.InputDriverInstaller

public class InputDriverInstaller
extends java.lang.Object

Installs drivers for low-level drivers.

Author:
  Alexandre Iline(alexandre.iline@sun.com)

Constructor Summary
`InputDriverInstaller()` Constructs an InputDriverInstaller object.
`InputDriverInstaller(boolean useEventDrivers)` Constructs an InputDriverInstaller object.
`InputDriverInstaller(boolean useEventDrivers, Timeout robotAutoDelay)` Constructs an InputDriverInstaller object.
`InputDriverInstaller(Timeout robotAutoDelay)` Constructs an InputDriverInstaller object.

Method Summary
`void` | `install()` Installs input drivers.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InputDriverInstaller

    public InputDriverInstaller(boolean useEventDrivers,
                                Timeout robotAutoDelay)

  Constructs an InputDriverInstaller object.
  Parameters:
    `useEventDrivers` - Tells whether to use event drivers, otherwise robot drivers.
    `robotAutoDelay` - Time for `Robot.setAutoDelay(long)` method.

### InputDriverInstaller

    public InputDriverInstaller(boolean useEventDrivers)

  Constructs an InputDriverInstaller object. Takes autodelay time from JemmyProperties' timeouts.
  Parameters:
    `useEventDrivers` - Tells whether to use event drivers, otherwise robot drivers.

### InputDriverInstaller

    public InputDriverInstaller(Timeout robotAutoDelay)

  Constructs an InputDriverInstaller object. Uses event drivers.
  Parameters:
    `robotAutoDelay` - Time for `Robot.setAutoDelay(long)` method.

### InputDriverInstaller

    public InputDriverInstaller()

  Constructs an InputDriverInstaller object. Takes autodelay time from JemmyProperties' timeouts. Uses event drivers.

Method Detail

### install

    public void install()

  Installs input drivers.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD